range.h File Reference

-*- C++ -*- More...

`#include <iostream>`
`#include <iterator>`
`#include <vector>`
`#include <set>`
`#include <algorithm>`
`#include <wibble/iterator.h>`
`#include <wibble/exception.h>`
`#include <wibble/consumer.h>`
Include dependency graph for range.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::Range< T >
struct | wibble::Consumer< T >
struct | wibble::RangeIterator< R >
struct | wibble::RangeIterator< R >::Proxy
struct | wibble::RangeMixin< T, Self >
struct | wibble::RangeInterface< T >
struct | wibble::RangeMorph< T, W >
struct | wibble::Range< T >
struct | wibble::IteratorRange< It >
struct | wibble::CastedRange< T, Casted >
struct | wibble::IntersectionRange< T >
struct | wibble::FilteredRange< R, Pred >
struct | wibble::UniqueRange< T >
struct | wibble::TransformedRange< Transform >
struct | wibble::GeneratedRange< T, _Advance, _End >

## Namespaces

| wibble

## Macros

#define | WIBBLE_RANGE_H

## Functions

template<typename T , typename C >
Range< T > | wibble::castedRange (C r)
template<typename T , typename C >
Range< T > | wibble::upcastRange (C r)
template<typename In >
Range< typename In::value_type > | wibble::range (In b, In e)
template<typename C >
Range< typename C::iterator::value_type > | wibble::range (C &c)
template<typename R >
IntersectionRange< typename R::ElementType > | wibble::intersectionRange (R r1, R r2)
template<typename R , typename Pred >
FilteredRange< R, Pred > | wibble::filteredRange (R r, Pred p)
template<typename R >
UniqueRange< typename R::ElementType > | wibble::uniqueRange (R r1)
template<typename Trans >
TransformedRange< Trans > | wibble::transformedRange (Range< typename Trans::argument_type > r, Trans t)
template<typename T , typename A , typename E >
GeneratedRange< T, A, E > | wibble::generatedRange (T t, A a, E e)

## Detailed Description

-*- C++ -*-

Author
  Peter Rockai me@mo.nosp@m.rnfa.nosp@m.ll.ne.nosp@m.t

## Macro Definition Documentation

#define WIBBLE_RANGE_H